Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata
Interface ExtendedElementInformation

    @UML(identifier="MD_ExtendedElementInformation",
         specification=ISO_19115)
    public interface ExtendedElementInformation

New metadata element, not found in ISO 19115, which is required to describe geographic data.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getCondition()` Condition under which the extended element is mandatory.
`Datatype` | `getDataType()` Code which identifies the kind of value provided in the extended element.
`InternationalString` | `getDefinition()` Definition of the extended element.
`Integer` | `getDomainCode()` Three digit code assigned to the extended element.
`InternationalString` | `getDomainValue()` Valid values that can be assigned to the extended element.
`Integer` | `getMaximumOccurrence()` Maximum occurrence of the extended element.
`String` | `getName()` Name of the extended metadata element.
`Obligation` | `getObligation()` Obligation of the extended element.
`Collection<String>` | `getParentEntity()` Name of the metadata entity(s) under which this extended metadata element may appear.
`Collection<? extends InternationalString>` | `getRationales()` Reason for creating the extended element.
`InternationalString` | `getRule()` Specifies how the extended element relates to other existing elements and entities.
`String` | `getShortName()` Short form suitable for use in an implementation method such as XML or SGML.
`Collection<? extends ResponsibleParty>` | `getSources()` Name of the person or organization creating the extended element.

Method Detail

### getName

    @UML(identifier="name",
         obligation=MANDATORY,
         specification=ISO_19115)
    String getName()

  Name of the extended metadata element.

### getShortName

    @UML(identifier="shortName",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    String getShortName()

  Short form suitable for use in an implementation method such as XML or SGML. NOTE: other methods may be used. Returns `null` if the data type is code list element.

### getDomainCode

    @UML(identifier="domainCode",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Integer getDomainCode()

  Three digit code assigned to the extended element. Returns a non-null value only if the data type is code list element.

### getDefinition

    @UML(identifier="definition",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getDefinition()

  Definition of the extended element.

### getObligation

    @UML(identifier="obligation",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Obligation getObligation()

  Obligation of the extended element.

### getCondition

    @UML(identifier="condition",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    InternationalString getCondition()

  Condition under which the extended element is mandatory. Returns a non-null value only if the obligation is conditional.

### getDataType

    @UML(identifier="dataType",
         obligation=MANDATORY,
         specification=ISO_19115)
    Datatype getDataType()

  Code which identifies the kind of value provided in the extended element.

### getMaximumOccurrence

    @UML(identifier="maximumOccurrence",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    Integer getMaximumOccurrence()

  Maximum occurrence of the extended element. Returns `null` if it doesn't apply, for example if the data type is enumeration, code list or code list element.

### getDomainValue

    @UML(identifier="domainValue",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    InternationalString getDomainValue()

  Valid values that can be assigned to the extended element. Returns `null` if it doesn't apply, for example if the data type is enumeration, code list or code list element.

### getParentEntity

    @UML(identifier="parentEntity",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<String> getParentEntity()

  Name of the metadata entity(s) under which this extended metadata element may appear. The name(s) may be standard metadata element(s) or other extended metadata element(s).

### getRule

    @UML(identifier="rule",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getRule()

  Specifies how the extended element relates to other existing elements and entities.

### getRationales

    @UML(identifier="rationale",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends InternationalString> getRationales()

  Reason for creating the extended element.

### getSources

    @UML(identifier="source",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends ResponsibleParty> getSources()

  Name of the person or organization creating the extended element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.